> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orkesta.com.tr/llms.txt
> Use this file to discover all available pages before exploring further.

# Ürün Kalemi için İade/İptal İşlemi Gerçekleştir

> Mevcut bir ödeme işlemi altında bulunan ürün için iade veya iptal işlemi gerçekleştirir

## ↩️ Ürün Kalemi İade/İptal İşlemi

Mevcut bir ödeme işlemi altında bulunan ürün için iade (refund) veya iptal (void) işlemi gerçekleştirir.

**`POST`** `https://api-test.fincraft.com.tr/api/v1/payments/partial/product/rebate`

## Request Body

```json theme={null}
{
  "paymentProductId": "123e4567-e89b-12d3-a456-426614174000",
  "amount": 100.50
}
```

## Request Parametreleri

| Parametre          | Tip        | Zorunlu | Validation        | Açıklama          |
| ------------------ | ---------- | ------- | ----------------- | ----------------- |
| `paymentProductId` | UUID       | Evet    | @NotBlank         | Ürün ID değeri    |
| `amount`           | BigDecimal | Hayır   | @DecimalMin(0.01) | İade/iptal tutarı |

## Response Body

```json theme={null}
{
    "response": {
        "id": "1360f3b3-f6de-499e-ac0d-6159676c60a3",
        "orderId": "1771ec8a-79d5-4c86-a298-dd6a9cbafc99",
        "walletRebateAmount": 0,
        "cardRebateAmount": 1,
        "remaningTotalAmount": 100.50
    }
}
```

## cURL Örneği

```bash theme={null}
curl -X POST https://api-test.fincraft.com.tr/api/v1/payments/partial/product/rebate \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "paymentProductId": "123e4567-e89b-12d3-a456-426614174000",
    "amount": 100.50
  }'
```
